<template>
    <div>
        <CompanyForm :company="company" v-on:submit="add" v-on:back="back"></CompanyForm>
    </div>
</template>

<script>
import CompanyForm from './Company.Form.vue';
import { addCompany } from '@/api/companies.service.js';
export default {
    data() {
        return {
            company: {

            }
        }
    },
    methods: {
        add: function () {
            addCompany(this.company).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            })

        },
        back: function () {
            this.$router.go(-1);
        }
    },
    components: {
        CompanyForm
    }
}
</script>

<style>

</style>
